[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.GetCellHintText

Gets the hint text for a data cell in the grid control.

## Declaration

Source position: dbgrids.pas line 460

`protected function TCustomDBGrid.GetCellHintText(`
`aCol: Integer;`
`aRow: Integer`
`):string; override;`

## Arguments

`aCol` |  | Column number for the cell.
`aRow` |  | Row number for the cell.

## Function result

Hint text for the specified cell.

## Description

GetCellHintText is an overridden method in TCustomDBGrid. It re-implements the method from the ancestor class to ignore fixed title cells when getting the hint text. The OnGetCellHint event handler is signalled (when assigned) to get the cell hint text used in the return value.

GetCellHintText does not call the inherited method.